Bug 36476 - Add holds priority column to members/summary-print.pl ( Print summary)
Summary: Add holds priority column to members/summary-print.pl ( Print summary)
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-04-01 15:45 UTC by Lucas Gass
Modified: 2024-06-05 15:24 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 36476: Add holds priority column to members/summary-print.pl pending holds table (2.61 KB, patch)
2024-04-01 15:49 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 36476: Add holds priority column to members/summary-print.pl pending holds table (2.65 KB, patch)
2024-06-03 15:39 UTC, Sam Lau
Details | Diff | Splinter Review
Bug 36476: Add holds priority column to members/summary-print.pl pending holds table (2.73 KB, patch)
2024-06-05 15:24 UTC, Matt Blenkinsop
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2024-04-01 15:45:41 UTC
Some librarians would like to add holds priority to the "Pending holds" table when printing the summary.
Comment 1 Lucas Gass 2024-04-01 15:49:35 UTC
Created attachment 164204 [details] [review]
Bug 36476: Add holds priority column to members/summary-print.pl pending holds table

To test:
APPLY PATCH and restart_all
1. Have a patron with and some holds and different priority.
2. Go to the patron account and click Print > Print summary
3. Notice the new holds priority column.

Note: Table settings don't work on these tables. See Bug 36475.
Comment 2 Owen Leonard 2024-04-02 12:16:31 UTC
I wonder if this feature should be tied to the OPACShowHoldQueueDetails preference?

Like the OPAC, the print summary is (usually?) for view by the patron. If a library chose not to show hold priority in the OPAC I would assume they wouldn't want hold priority to appear on a paper handed to the patron.
Comment 3 Sam Lau 2024-06-03 15:39:40 UTC
Created attachment 167350 [details] [review]
Bug 36476: Add holds priority column to members/summary-print.pl pending holds table

To test:
APPLY PATCH and restart_all
1. Have a patron with and some holds and different priority.
2. Go to the patron account and click Print > Print summary
3. Notice the new holds priority column.

Note: Table settings don't work on these tables. See Bug 36475.
Signed-off-by: Sam Lau <samalau@gmail.com>
Comment 4 Matt Blenkinsop 2024-06-05 15:24:20 UTC
Created attachment 167454 [details] [review]
Bug 36476: Add holds priority column to members/summary-print.pl pending holds table

To test:
APPLY PATCH and restart_all
1. Have a patron with and some holds and different priority.
2. Go to the patron account and click Print > Print summary
3. Notice the new holds priority column.

Note: Table settings don't work on these tables. See Bug 36475.
Signed-off-by: Sam Lau <samalau@gmail.com>
Signed-off-by: Matt Blenkinsop <matt.blenkinsop@ptfs-europe.com>